cudnn_frontend::VariantPack_v8
cudnn_frontend::BackendDescriptor
cudnn_frontend_VariantPack.h
friend class friend class VariantPackBuilder_v8 VariantPackBuilder_v8 cudnn_frontend::VariantPackBuilder_v8::build
void * void* cudnn_frontend::VariantPack_v8::workspace workspace = nullptr
void * void* cudnn_frontend::VariantPack_v8::data_pointers[10] [10] data_pointers = {nullptr} cudnn_frontend::VariantPackBuilder_v8::setDataPointers
int64_t int64_t cudnn_frontend::VariantPack_v8::uid[10] [10] uid = {-1} cudnn_frontend::VariantPackBuilder_v8::setUids
int64_t int64_t cudnn_frontend::VariantPack_v8::num_ptrs num_ptrs = -1 describe
std::string std::string cudnn_frontend::VariantPack_v8::describe () const override describe describe

Return a string describing the backend Descriptor.

num_ptrs
operator=
VariantPack_v8
~VariantPack_v8
cudnn_frontend::VariantPack_v8::VariantPack_v8
(VariantPack_v8 &&from)=default
VariantPack_v8
VariantPack_v8 && from
VariantPack_v8 & VariantPack_v8& cudnn_frontend::VariantPack_v8::operator= (VariantPack_v8 &&from)=default operator= VariantPack_v8 && from cudnn_frontend::VariantPackBuilder_v8::build describe
cudnn_frontend::VariantPack_v8::~VariantPack_v8
()=default
~VariantPack_v8
describe
cudnn_frontend::VariantPack_v8::VariantPack_v8
()=default
VariantPack_v8
describe
cudnn_frontend::VariantPack_v8::VariantPack_v8
(VariantPack_v8 const &)=delete
VariantPack_v8
VariantPack_v8 const &
VariantPack_v8 & VariantPack_v8& cudnn_frontend::VariantPack_v8::operator= (VariantPack_v8 const &)=delete operator= VariantPack_v8 const &

VariantPack_v8 Class This class tells the Configuration of the Engine in terms of the knob choices Properties:

- num knobs

- Choice

- Engine

Use VariantPackBuilder_v8 to build this class. Describe returns a string describing the tensor class

cudnn_frontend::VariantPack_v8
cudnn_frontend::BackendDescriptor
shared_ptr< OpaqueBackendPointer >
void *
cudnnStatus_t
std::basic_string< char >
cudnn_frontend::VariantPack_v8
-num_ptrs
-uid
-data_pointers
-workspace
int64_t
cudnn_frontend::BackendDescriptor
#err_msg
#pointer
#status
std::string
- cudnn_frontend::VariantPack_v8
  BackendDescriptor
- cudnn_frontend::VariantPack_v8
  BackendDescriptor
- cudnn_frontend::VariantPack_v8
  data_pointers
- cudnn_frontend::VariantPack_v8
  describe
- cudnn_frontend::VariantPack_v8
  err_msg
- cudnn_frontend::VariantPack_v8
  get_desc
- cudnn_frontend::VariantPack_v8
  get_error
- cudnn_frontend::VariantPack_v8
  get_raw_desc
- cudnn_frontend::VariantPack_v8
  get_status
- cudnn_frontend::VariantPack_v8
  initialize_managed_backend_pointer
- cudnn_frontend::VariantPack_v8
  num_ptrs
- cudnn_frontend::VariantPack_v8
  operator=
- cudnn_frontend::VariantPack_v8
  operator=
- cudnn_frontend::VariantPack_v8
  pointer
- cudnn_frontend::VariantPack_v8
  set_error
- cudnn_frontend::VariantPack_v8
  set_status
- cudnn_frontend::VariantPack_v8
  status
- cudnn_frontend::VariantPack_v8
  uid
- cudnn_frontend::VariantPack_v8
  VariantPack_v8
- cudnn_frontend::VariantPack_v8
  VariantPack_v8
- cudnn_frontend::VariantPack_v8
  VariantPack_v8
- cudnn_frontend::VariantPack_v8
  VariantPackBuilder_v8
- cudnn_frontend::VariantPack_v8
  workspace
- cudnn_frontend::VariantPack_v8
  ~VariantPack_v8